set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/ITK;${ITK_INSTALL_PREFIX}/include/vtk-8.2;${ITK_INSTALL_PREFIX}/include;${ITK_INSTALL_PREFIX}/include/freetype2;${ITK_INSTALL_PREFIX}/include/eigen3;${ITK_INSTALL_PREFIX}/include/double-conversion")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/bin")
set(ITKVtkGlue_TARGETS_FILE "")
set(ITKVtkGlue_FACTORY_NAMES "")

set(VTK_DIR "${ITK_INSTALL_PREFIX}/lib/cmake/vtk-8.2")

find_package(VTK NO_MODULE REQUIRED)

  if(NOT COMMAND vtk_module_config)
    macro(vtk_module_config ns)
       foreach(arg ${ARGN})
        if(${arg} MATCHES "^[Vv][Tt][Kk]")
          string(REGEX REPLACE "^[Vv][Tt][Kk]" "" _arg ${arg})
        else()
          set(_arg ${arg})
        endif()
        set(${ns}_LIBRARIES ${${ns}_LIBRARIES} VTK::${_arg})
       endforeach()
    endmacro()
  endif()

if(NOT VTK_VERSION)
  set(VTK_VERSION "8.2.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  if(NOT COMMAND vtk_module_config)
    set(VTK_RENDERING_BACKEND OpenGL2)
  else()
    set(VTK_RENDERING_BACKEND OpenGL)
  endif()
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL2)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL2)
endif()

set(_required_vtk_libraries
  vtkIOImage
  vtkImagingSources
  )
if(ITK_WRAP_PYTHON)
  list(APPEND _required_vtk_libraries vtkWrappingPythonCore)
endif()
if(NOT VTK_RENDERING_BACKEND STREQUAL "None")
  list(APPEND _required_vtk_libraries
    vtkRenderingOpenGL2
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkInteractionWidgets
  )
endif()
if(8.2.0 VERSION_LESS 6.0.0)
  set(ITKVtkGlue_VTK_INCLUDE_DIRS ${ITK_INSTALL_PREFIX}/include/vtk-8.2;${ITK_INSTALL_PREFIX}/include;${ITK_INSTALL_PREFIX}/include/eigen3;${ITK_INSTALL_PREFIX}/include/freetype2;${ITK_INSTALL_PREFIX}/include/double-conversion;${ITK_INSTALL_PREFIX}/include/python3.9;${ITK_INSTALL_PREFIX}/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtksys;vtkCommonCore;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonDataModel;vtkCommonColor;vtkCommonExecutionModel;vtkCommonComputationalGeometry;vtkFiltersCore;vtkFiltersGeneral;vtkImagingCore;vtkImagingFourier;vtkFiltersStatistics;vtkFiltersExtraction;vtkInfovisCore;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingCore;${ITK_INSTALL_PREFIX}/lib/libz.dll.a;${ITK_INSTALL_PREFIX}/lib/libfreetype.dll.a;vtkRenderingFreeType;vtkRenderingContext2D;vtkChartsCore;vtkDICOMParser;${ITK_INSTALL_PREFIX}/lib/libdouble-conversion.dll.a;${ITK_INSTALL_PREFIX}/lib/liblz4.dll.a;${ITK_INSTALL_PREFIX}/lib/liblzma.dll.a;vtkIOCore;vtkIOLegacy;${ITK_INSTALL_PREFIX}/lib/libexpat.dll.a;vtkIOXMLParser;vtkDomainsChemistry;${ITK_INSTALL_PREFIX}/lib/libglew32.dll.a;vtkRenderingOpenGL2;vtkDomainsChemistryOpenGL2;vtkIOXML;vtkParallelCore;vtkFiltersAMR;vtkFiltersFlowPaths;vtkFiltersGeneric;vtkImagingSources;vtkFiltersHybrid;vtkFiltersHyperTree;vtkImagingGeneral;vtkFiltersImaging;vtkFiltersModeling;vtkFiltersParallel;vtkFiltersParallelImaging;vtkFiltersPoints;vtkFiltersProgrammable;${ITK_INSTALL_PREFIX}/lib/libpython3.9.dll.a;vtkPythonInterpreter;vtkWrappingTools;vtkWrappingPythonCore;vtkFiltersPython;vtkFiltersReebGraph;vtkFiltersSMP;vtkFiltersSelection;vtkFiltersTexture;vtkFiltersTopology;verdict;vtkFiltersVerdict;vtkInteractionStyle;vtkGUISupportQt;${ITK_INSTALL_PREFIX}/lib/libsqlite3.dll.a;vtkIOSQL;vtkGUISupportQtSQL;vtkmetaio;${ITK_INSTALL_PREFIX}/lib/libjpeg.dll.a;${ITK_INSTALL_PREFIX}/lib/libpng.dll.a;${ITK_INSTALL_PREFIX}/lib/libtiff.dll.a;vtkIOImage;vtkImagingHybrid;vtkInfovisLayout;vtkImagingColor;vtkRenderingAnnotation;vtkRenderingVolume;vtkInteractionWidgets;vtkViewsCore;vtklibproj;vtkGeovisCore;${ITK_INSTALL_PREFIX}/lib/libhdf5.dll.a;${ITK_INSTALL_PREFIX}/lib/libhdf5_hl.dll.a;vtkIOAMR;vtkIOAsynchronous;vtkIOCityGML;vtkIOEnSight;${ITK_INSTALL_PREFIX}/lib/libnetcdf.dll.a;vtkexodusII;vtkIOExodus;${ITK_INSTALL_PREFIX}/lib/libgl2ps.dll.a;vtkRenderingGL2PSOpenGL2;vtkIOExport;vtkIOExportOpenGL2;vtklibharu;vtkIOExportPDF;${ITK_INSTALL_PREFIX}/lib/libogg.dll.a;${ITK_INSTALL_PREFIX}/lib/libtheoraenc.dll.a;${ITK_INSTALL_PREFIX}/lib/libtheoradec.dll.a;vtkIOMovie;vtkIOVideo;vtkIOFFMPEG;vtkIOGDAL;vtkIOGeometry;vtkIOImport;${ITK_INSTALL_PREFIX}/lib/libxml2.dll.a;vtkIOInfovis;vtkIOLSDyna;vtkIOMINC;vtkIOMySQL;vtkIONetCDF;vtkIOPLY;${ITK_INSTALL_PREFIX}/lib/libjsoncpp.dll.a;vtkIOParallel;vtkIOParallelXML;vtkIOPostgreSQL;vtkIOSegY;vtkIOTecplotTable;vtkIOVeraOut;vtkImagingMath;vtkImagingMorphological;vtkImagingStatistics;vtkImagingStencil;vtkInfovisBoostGraphAlgorithms;vtkInteractionImage;vtkPythonContext2D;vtkRenderingContextOpenGL2;vtkRenderingFreeTypeFontConfig;vtkRenderingImage;vtkRenderingLOD;vtkRenderingLabel;vtkRenderingMatplotlib;vtkRenderingQt;vtkRenderingVolumeOpenGL2;vtkViewsContext2D;vtkViewsInfovis;vtkViewsGeovis;vtkViewsQt)
else()
  vtk_module_config(ITKVtkGlue_VTK
    ${_required_vtk_libraries}
    )
  set(ITKVtkGlue_VTK_LIBRARIES ${_required_vtk_libraries})
  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

